import { defineStore } from 'pinia'

interface MenusState {
    menus: any,
}

const menusStore = defineStore('menus', {
    state: (): MenusState => ({
        menus:[],
    }),
    getters: {
        getMenus(): any {
            return this.menus
        }
    },
    actions: {
        setMenus(text:any) {
            this.menus= text
        }
    }
 })

export default menusStore